Class that allows reading tokens from INI files.

author | Manuel Holtgewe
version | $Id$
package | phing.filters.util

### Methods

## Constructor

    __construct(\Project $project)

Inherited

inherited_from | \TokenReader::__construct()

### Parameters

#### $project

`object`

Reference to the project the TokenReader is used in.

## Utility function for logging

    log($level, $msg)

Inherited

inherited_from | \TokenReader::log()

### Parameters

#### $level

#### $msg

## Reads the next token from the INI file

    readToken() : \Token

### Exceptions

`\IOException` | On error

### Returns

`\Token`

## setFile()

    setFile(\PhingFile $file)

### Parameters

#### $file

## setSection()

    setSection($str)

### Parameters

#### $str

### Properties

##

    $project : \Project

Inherited

inherited_from | \TokenReader::$$project

##

    $file : object

## Sets the section to load from the INI file. if omitted, all sections are loaded.

    $section : string